%define module_name Tk-PerlInheritanceTree
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Inspector.pm) perl(ExtUtils/MakeMaker.pm) perl(Tk.pm) perl(Tk/GraphItems/Connector.pm) perl(Tk/GraphItems/TextBox.pm) perl(Tk/NumEntry.pm) perl(Tk/PerlMethodList.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Display a graphical representation of the inheritance tree for a given class-name.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LA/LAMPRECHT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Tk::PerlInheritanceTree displays a graphical representation of the inheritance tree for a given class(package)-name. The nodes representing classnames have mouseclick bindings to open a Tk::PerlMethodList - widget. Tk::PerlInheritanceTree is a Tk::Frame-derived widget.

PerlInheritanceTree.pm can be run as stand-alone application (see Examples section)




%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%changelog
* Mon Oct 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

